Subject: RE: Default linker output filename
From: [email-masked] (Carl J R Johansson)

26 Nov 1996 13:55:55 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: [email-masked]
Original-To: Sergey Okhapkin <[email-masked]>
Original-cc: "[email-masked]" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 26 Nov 1996, Sergey Okhapkin wrote:

> Fredrik Roubert wrote:
> 
> >> How about to make a link from a.out to a.exe? Maybe even the "shortcut"
> >> mechanism of Win95 be enough?
> >
> >Can't you just set up Windows 95 to recognize .out as an executable file
> >extension? (Windows 3.1 can do this.)
> >
> 
> The more common question - should we take in mind Windows 95 as developer's 
> and cygwin32-supported platform? Do You like to press reset button every 
> hour?-) Does we really need to search for work-arounds due to Windows 
> 95-specific bugs and misfeatures? For examle, link() syscall in cygwin.dll 
> just copies file to another. Windows NT allows to use NTFS's hard links. 
> CreateProcess() system call requires .exe extension under Windows 95, 
> opposite to NT. You can't to enter non-US characters in bash under 95, but 
> can with NT, etc...
> 
Well, not everyone can afford NT. I still have more hard drive 
activity than I like with 48 Mb, as opposed to 24 Mb with W95.

Not to mention compatibility, two of my three cards are lacking
some function under it, even when they should be as mainstream
as possible (Diamond PCI 3200 & Sounblaster AWE32 PnP). And most
of the W95 software I have tested so far (admittedly not very much)
won't work.

But of course it hasn't crashed on me yet :)

cj
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".